import instance from "@/utils/request";

// 创建岗位
export const createJobApi = params => instance.post("/company/job/create", params);

//更新岗位
export const updateJobApi = params => instance.post("/company/job/update", params);

// 职位列表
export const getJobListApi = params => instance.post("/company/job/list", params);

// 获取简历推荐列表
export const getResumeRecommendListApi = params => instance.post("/company/job/getResumeRecommendList", params);

// 查询职位信息
export const getJobByIdApi = id => instance.post(`/company/job/${id}`);

// 统计职位投递信息
export const getListStatisticsApi = params => instance.post("/company/job/listStatistics", params);

//获取投递信息通过id
export const getApplicationByIdApi = id => instance.post(`/company/job/getApplication/${id}`);

//邀请面试
export const inviteInterviewApi = params => instance.post(`/company/job/inviteInterview`, params);

//获取投递列表/
export const getApplicationListApi = params => instance.post("/company/job/getApplicationList", params);

//获取投递列表
export const getUserResumeApi = params => instance.post(`/company/job/getUserResume`, params);

// 职位发布（上线）
export const jobReleaseApi = id => instance.post(`/company/job/release/${id}`);

// 职位下线
export const jobOfflineApi = id => instance.post(`/company/job/offline/${id}`);
// 职位置顶
export const jobOfftopApi = id => instance.post(`/company/job/top/${id}`);
// 职位置顶
export const jobOffuntopApi = id => instance.post(`/company/job/untop/${id}`);

// 拒绝申请
export const rejectApplicationApi = id => instance.post(`/company/job/rejectApplication/${id}`);
